<div class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-themecolor">Preguntas Frecuentes</h3>
  </div>

</div>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-md-6 col-sm-6">
            <h4 class="card-title">Listado de FAQs</h4>

          </div>
          <div class="col-md-6 col-sm-6 text-right">
            <button class="btn btn-primary" data-toggle="modal" data-target="#faqModal">
                <i class="fas fa-plus"></i>
              Crear nueva FAQ
            </button>
          </div>
        </div>
        <div class="accordion mt-3" id="accordionExample">
          <div class="card  border-left-0 border-right-0 mb-0" *ngFor="let faq of Faqs | async ; let i = index">
            <div class="card-header bg-white border-0 p-1" [attr.id]="'heading' + i">
              <h2 class="mb-0">
                <button class="btn btn-link collapsed font-weight-bolder text-justify" type="button"
                  data-toggle="collapse" [attr.data-target]="'#collapse'+i" aria-expanded="false"
                  [attr.aria-controls]="'collapse' + i">
                  <i class="fas fa-plus-circle mr-3"></i>
                  <i class="fas fa-minus-circle mr-3"></i>
                  {{faq.pregunta}}
                </button>
                <i class="fas fa-edit float-right text-success"  (click)="onUpdateFaq(faq)"
                  title="Actualizar"></i>
                <i class="fas fa-trash float-right text-danger" (click)="onDeleteFaq(faq)"
                  title='Eliminar'></i>
              </h2>
            </div>
            <div id="collapse{{i}}" class="collapse" aria-labelledby="'heading' + i" data-parent="#accordionExample">
              <div class="card-body text-justify">
                {{faq.respuesta}}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="faqModal" #modal tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header bg-dark">
        <h5 class="modal-title text-light font-weight-bold">Registro de FAQ</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form (ngSubmit)="onSaveFaq()" [formGroup]="formFAQs" ngNativeValidate="false">
        <div class="modal-body">
          <div class="form-group">
            <label class="col-form-label font-weight-bold">Pregunta:</label>
            <textarea class="form-control" formControlName="pregunta"></textarea>
            <span *ngIf="!formFAQs.get('pregunta').valid" class="invalid-feedback">
                Ingrese la Pregunta.
              </span>
          </div>
          <div class="form-group">
            <label class="col-form-label font-weight-bold">Respuesta:</label>
            <textarea class="form-control" formControlName="respuesta"></textarea>
            <span *ngIf="!formFAQs.get('respuesta').valid" class="invalid-feedback">
              Ingrese la Respuesta.
            </span>
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">
            <i class="fas fa-times"></i>
            Cerrar
          </button>
          <button [disabled]="!formFAQs.valid" class="btn btn-primary" >
            <i class="fas fa-save"></i>
            Guardar
          </button>
        </div>
      </form>
    </div>
  </div>
</div>